Bug 979847 - python-fsmonitor - Filesystem Monitoring for Python
python-fsmonitor - Filesystem Monitoring for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 23:01 EDT by Yohan Graterol
Modified: 2013-07-15 21:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-fsmonitor-0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:22:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.marcelo.barbosa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yohan Graterol 2013-06-30 23:01:24 EDT
python-fsmonitor

Description: Filesystem Monitoring for Python

SPEC: http://yograterol.fedorapeople.org/python-fsmonitor.spec
SRPM: http://yograterol.fedorapeople.org/python-fsmonitor-0.1-1.fc18.src.rpm

FAS Account: yograterol
Comment 1 Marcelo Barbosa "firemanxbr" 2013-07-01 00:51:09 EDT
Hi Yohan,

   Good work!

- Outputs for rpmlint are false positives.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/979847-python-
     fsmonitor/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-fsmonitor-0.1-1.fc18.noarch.rpm
python-fsmonitor.noarch: W: spelling-error Summary(en_US) Filesystem -> File system, File-system, Systemically
python-fsmonitor.noarch: W: spelling-error %description -l en_US Filesystem -> File system, File-system, Systemically
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-fsmonitor
python-fsmonitor.noarch: W: spelling-error Summary(en_US) Filesystem -> File system, File-system, Systemically
python-fsmonitor.noarch: W: spelling-error %description -l en_US Filesystem -> File system, File-system, Systemically
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-fsmonitor (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-fsmonitor:
    python-fsmonitor



Source checksums
----------------
https://github.com/shaurz/fsmonitor/archive/5b87ecb8cc75a58060d41352534c51a4f864a98f/fsmonitor-0.1-5b87ecb.tar.gz :
  CHECKSUM(SHA256) this package     : c2b454f684fb1f7e4d0629155c653c86202bb780840402fa36c30fe64d2a8627
  CHECKSUM(SHA256) upstream package : c2b454f684fb1f7e4d0629155c653c86202bb780840402fa36c30fe64d2a8627


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 979847

----------------

PACKAGE APPROVED

----------------


Follow the process from:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr
Comment 2 Yohan Graterol 2013-07-01 09:17:08 EDT
New Package SCM Request
=======================
Package Name: python-fsmonitor
Short Description: Filesystem Monitoring for Python
Owners: yograterol
Branches: f17 f18 f19 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-01 09:24:27 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-01 10:28:16 EDT
python-fsmonitor-0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fsmonitor-0.1-1.el6
Comment 5 Fedora Update System 2013-07-01 10:30:00 EDT
python-fsmonitor-0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-fsmonitor-0.1-1.fc17
Comment 6 Fedora Update System 2013-07-01 10:31:04 EDT
python-fsmonitor-0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-fsmonitor-0.1-1.fc18
Comment 7 Fedora Update System 2013-07-01 10:31:56 EDT
python-fsmonitor-0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-fsmonitor-0.1-1.fc19
Comment 8 Fedora Update System 2013-07-01 16:59:06 EDT
python-fsmonitor-0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2013-07-09 21:22:20 EDT
python-fsmonitor-0.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-07-09 21:27:45 EDT
python-fsmonitor-0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-07-09 21:33:50 EDT
python-fsmonitor-0.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-07-15 21:07:06 EDT
python-fsmonitor-0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.